<template>
  <fragment>
    <q-btn
      no-caps
      label="Quên mật khẩu"
      color="primary"
      flat
      class="forget-password-btn q-mt-md"
      @click="forgetPasswordDialog = true"
    />
    <q-dialog v-model="forgetPasswordDialog">
      <q-card class="forget-password-card">
        <q-form @submit.prevent="onSubmit">
          <q-card-section>
            <div class="relative-position">
              <div class="text-h5 text-bold text-center">QUÊN MẬT KHẨU</div>
              <q-btn class="absolute-top-right" icon="close" flat round dense v-close-popup />
            </div>
          </q-card-section>
          <q-card-section>
            <q-input v-model="email" type="email" outlined label="Email" />
          </q-card-section>

          <q-card-actions align="right">
            <q-btn type="submit" flat label="Gửi yêu cầu" color="primary" />
          </q-card-actions>
        </q-form>
      </q-card>
    </q-dialog>
  </fragment>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  data() {
    return {
      forgetPasswordDialog: false,
      email: ''
    };
  },
  methods: {
    ...mapActions({
      forgetPassword: 'auth/forgetPassword'
    }),
    async onSubmit() {
      const result = await this.forgetPassword(this.email);
      if (result) {
        this.email = '';
        this.forgetPasswordDialog = false;
      }
    }
  }
};
</script>

<style lang="scss" scoped>
.forget-password-btn {
  padding-left: 0;
  padding-right: 0;

  /deep/ .q-btn__wrapper {
    padding-left: 0;
    padding-right: 0;

    .q-btn__content {
      padding-left: 0;
      padding-right: 0;
    }
  }
}
.forget-password-card {
  width: 80%;
  max-width: 400px;
}
</style>
